GNU bug report logs - #33470
Confusing spinner artefacts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Tobias Geerinckx-Rice <somebody@HIDDEN>; Done: Christopher Baines <mail@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33470-done <at> debbugs.gnu.org:


Received: (at 33470-done) by debbugs.gnu.org; 6 Feb 2019 13:16:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 08:16:28 2019
Received: from localhost ([127.0.0.1]:34135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grN3y-0002hz-Ky
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 08:16:28 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:37292
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>)
 id 1grN3w-0002ho-H0; Wed, 06 Feb 2019 08:16:25 -0500
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1204816BBB;
 Wed,  6 Feb 2019 13:16:24 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id e30ea1e8;
 Wed, 6 Feb 2019 13:16:23 +0000 (UTC)
References: <20190129195031.21496-1-mail@HIDDEN>
 <20190129211645.08cdbd2d@HIDDEN> <8736pbm6ac.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34249] [PATCH] guix package: Avoid spinner at end of output.
In-reply-to: <8736pbm6ac.fsf@HIDDEN>
Date: Wed, 06 Feb 2019 13:16:23 +0000
Message-ID: <87o97p5a6w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33470-done
Cc: 34249-done <at> debbugs.gnu.org, 33470-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Danny Milosavljevic <dannym@HIDDEN> skribis:
>
>> Hi Christopher,
>>> diff --git a/guix/scripts/package.scm b/guix/scripts/package.scm
>>> index a633d2ee6d..4db0e72e9b 100644
>>> --- a/guix/scripts/package.scm
>>> +++ b/guix/scripts/package.scm
>>> @@ -159,6 +159,7 @@ hooks\" run when building the profile."
>>>                 (switch-symlinks profile (basename name))
>>>                 (unless (string=3D? profile %current-profile)
>>>                   (register-gc-root store name))
>>> +               (display "\r") ; erase the spinner
>>
>> In order to actually erase it, might want to do (display "\r\x1b[K") ins=
tead.
>
> And to do that, you can use (erase-current-line port).
>
> Though actually I think this should be done in =E2=80=98print-build-event=
=E2=80=99 in
> (guix status).  Probably something like the patch below, but I haven=E2=
=80=99t
> been able to quickly reproduce the initial problem.
>
> Could you give it a spin (ah ha!) and report back?
>
> If it doesn=E2=80=99t solve the issue, we should strace the thing to see =
why it
> keeps spinning after everything is =E2=80=9Cdone=E2=80=9D basically.
>
> Thanks,
> Ludo=E2=80=99.
>
> diff --git a/guix/status.scm b/guix/status.scm
> index e3375816c5..7a330525b0 100644
> --- a/guix/status.scm
> +++ b/guix/status.scm
> @@ -465,8 +465,14 @@ addition to build events."
>              (_
>               (spin! port))))))
>
> -  (unless print-log?
> -    (display "\r" port))                          ;erase the spinner
> +  (define erase-current-line*
> +    (if (isatty?* port)
> +        (lambda (port)
> +          (erase-current-line port)
> +          (force-output port))
> +        (const #t)))
> +
> +  (erase-current-line* port)                      ;clear the spinner
>    (match event
>      (('build-started drv . _)
>       (let ((properties (derivation-properties

I've tried out the change you pushed here [1], and it looks good to me
:) I can't see anything odd in the output now.

1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D7473bce207af8463=
12d5167a398f5f20bbf3e896

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlxa3idfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XcCKg//UcAy3A+7uwHp/2CeCUdXeDldJWZhDeDIcIs+sw8dRbz49GCsyaWdZSDm
+1qBkE3rB94dffrrcsZbnDQWYy8kM6QtDb4nU7dIz5lz5FVeU6oYwXihSpFEx3BK
F4/gL+414ts9qonjJ+1bId+Mh0LEX6J0LosWvqwZfqgJVftsFMytoiPPsFyrZMzX
UyONnu6kBewgv3LYVIp2XyHgTjPUUx6Pfbvj4d7UY9jzx4+O7iFx1pdesGMNaVlG
g0Kcu0nrX1JpoLBbJ1SVfxdQ+1oyjgJFEtINmnlJC94WNeANi+l+hjpYUNXSmUPz
ZEV8EDRWvFh4xm4RlWWMU/dblKkalu7qEItRYthA1nQgSfbEe0O2Dg7R17LMXd96
9ebwzSZ15CwpylU9e/b8Ga+tvTBJDthxZejs/YRWq0tYHTHdyrewz+A9PpMiw3Vb
Bs8UTCaco+KwqDVf9Fk21WS+OhxSap9zum3rEG1IK9dBLq+wfv+IQSWFX4RNBpBu
bhH/uHASLYoWMmf5FOhQrGlht91DUd859G+fEagaMUMJaxhtVjnGRi5/Ru3ZPHil
AlXM6xfRZ2m9fJux/n76rtS6WNO9ZIWFpTsleFWh3gr9fFCQtrPYyjaWSRLNP/qa
PzgX2TaoNxgcIFGq5GIyEtGbEhlAdF3Udqoap9pdZV+GCUkdOvY=
=b28M
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Tobias Geerinckx-Rice <somebody@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Christopher Baines <mail@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 33470 <at> debbugs.gnu.org:


Received: (at 33470) by debbugs.gnu.org; 29 Jan 2019 22:46:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 17:46:10 2019
Received: from localhost ([127.0.0.1]:50943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goc8v-00029f-Mm
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 17:46:10 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:34952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1goc8s-00027J-F9; Tue, 29 Jan 2019 17:46:08 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id CD75C8F64;
 Tue, 29 Jan 2019 23:46:05 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DsW5Ihxx24Wj; Tue, 29 Jan 2019 23:46:05 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id A6FC95E5A;
 Tue, 29 Jan 2019 23:46:04 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#34249] [PATCH] guix package: Avoid spinner at end of output.
References: <20190129195031.21496-1-mail@HIDDEN>
 <20190129211645.08cdbd2d@HIDDEN>
Date: Tue, 29 Jan 2019 23:46:03 +0100
In-Reply-To: <20190129211645.08cdbd2d@HIDDEN> (Danny Milosavljevic's
 message of "Tue, 29 Jan 2019 21:16:45 +0100")
Message-ID: <8736pbm6ac.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33470
Cc: Christopher Baines <mail@HIDDEN>, 33470 <at> debbugs.gnu.org,
 34249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Danny Milosavljevic <dannym@HIDDEN> skribis:

> Hi Christopher,
>> diff --git a/guix/scripts/package.scm b/guix/scripts/package.scm
>> index a633d2ee6d..4db0e72e9b 100644
>> --- a/guix/scripts/package.scm
>> +++ b/guix/scripts/package.scm
>> @@ -159,6 +159,7 @@ hooks\" run when building the profile."
>>                 (switch-symlinks profile (basename name))
>>                 (unless (string=3D? profile %current-profile)
>>                   (register-gc-root store name))
>> +               (display "\r") ; erase the spinner
>
> In order to actually erase it, might want to do (display "\r\x1b[K") inst=
ead.

And to do that, you can use (erase-current-line port).

Though actually I think this should be done in =E2=80=98print-build-event=
=E2=80=99 in
(guix status).  Probably something like the patch below, but I haven=E2=80=
=99t
been able to quickly reproduce the initial problem.

Could you give it a spin (ah ha!) and report back?

If it doesn=E2=80=99t solve the issue, we should strace the thing to see wh=
y it
keeps spinning after everything is =E2=80=9Cdone=E2=80=9D basically.

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/guix/status.scm b/guix/status.scm
index e3375816c5..7a330525b0 100644
--- a/guix/status.scm
+++ b/guix/status.scm
@@ -465,8 +465,14 @@ addition to build events."
             (_
              (spin! port))))))
 
-  (unless print-log?
-    (display "\r" port))                          ;erase the spinner
+  (define erase-current-line*
+    (if (isatty?* port)
+        (lambda (port)
+          (erase-current-line port)
+          (force-output port))
+        (const #t)))
+
+  (erase-current-line* port)                      ;clear the spinner
   (match event
     (('build-started drv . _)
      (let ((properties (derivation-properties

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33470; Package guix. Full text available.

Message received at 33470 <at> debbugs.gnu.org:


Received: (at 33470) by debbugs.gnu.org; 23 Nov 2018 14:00:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 09:00:40 2018
Received: from localhost ([127.0.0.1]:43116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gQC0e-0004ag-20
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2018 09:00:40 -0500
Received: from tobias.gr ([80.241.217.52]:42432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <somebody@HIDDEN>)
 id 1gQC0b-0004aU-Pe
 for 33470 <at> debbugs.gnu.org; Fri, 23 Nov 2018 09:00:38 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id daf92a5b;
 Fri, 23 Nov 2018 14:00:34 +0000 (UTC)
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id c4d6a568
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 23 Nov 2018 14:00:33 +0000 (UTC)
From: Tobias Geerinckx-Rice <somebody@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: bug#33470: Confusing spinner artefacts
References: <877eh4pu86.fsf@nckx> <8736rspap4.fsf@nckx>
 <CAE4v=pg+xS5jT8SgYU4_0URkb2_E6Fjmx9kqbkk4ae9X=sbV_A@HIDDEN>
In-reply-to: <CAE4v=pg+xS5jT8SgYU4_0URkb2_E6Fjmx9kqbkk4ae9X=sbV_A@HIDDEN>
Date: Fri, 23 Nov 2018 15:00:42 +0100
Message-ID: <87o9af51x1.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33470
Cc: 33470 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

G=C3=A1bor,

Thanks for your suggestion.

G=C3=A1bor Boskovits wrote:
> Tobias Geerinckx-Rice ezt =C3=ADrta (id=C5=91pont: 2018. nov. 23., P,=20
> 7:43):
>>   -119 packages in profile
>>   |119 packages in profile

[...]

> I feel that simply inserting some whitespace between the spinner=20
> and
> the text would make this less problematic.
> WDYT?

That would kill the =E2=80=98-119=E2=80=99 red herring but it's still ugly.

> Do you have any better suggestion?

I'd expect such droppings not to happen at all.

I regret that I haven't had time to look at the =E2=80=98new=E2=80=99=20
pretty-printing code (port?) yet, but it should be possible to=20
clear the spinner before a new line. If that's much harder than it=20
ought to be, our red herring's more of a red flag.

>> ugly and a little annoying,

T G-R




Information forwarded to bug-guix@HIDDEN:
bug#33470; Package guix. Full text available.

Message received at 33470 <at> debbugs.gnu.org:


Received: (at 33470) by debbugs.gnu.org; 23 Nov 2018 10:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 05:28:43 2018
Received: from localhost ([127.0.0.1]:43041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gQ8hX-00062l-AR
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2018 05:28:43 -0500
Received: from mail-io1-f53.google.com ([209.85.166.53]:45463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1gQ8hU-00062V-7J
 for 33470 <at> debbugs.gnu.org; Fri, 23 Nov 2018 05:28:41 -0500
Received: by mail-io1-f53.google.com with SMTP id w7so8431831iom.12
 for <33470 <at> debbugs.gnu.org>; Fri, 23 Nov 2018 02:28:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=2gXkDwlZwAZKGZXUDW4d8XSqthbhC6GJNYwaBlkaArk=;
 b=Fp4Wn7eQlNPV5mF61XLc/60bn9xQSVgtelDIXZpDMOWtK5cUUhiPL2CXdeTN/8pG+B
 pVdKZ7rqEgQQGYEBpA6iZkrtf+PcEiwVQGXyPV/LlKsyhy2OD0YKMLOI5FjX1zQ96haz
 prefM4yEBMUjE+OUZj8rxwxdoQwrhGkABVu3fDJcmA4eh3vQKwcY0WDSGNu+bjU0/y7q
 U9U6tPMC1A5Ea1jLCWjfNO/Ju7FBMYN42O0g5lE/jfazsfVGQKf85nzfE+/Gd2UBXGDC
 acJHOVEz/zBd61wVeot3rXBkrzT1w6/TCqFJDM9k+Kp/aIaOoLNvwu1YIA/URsUHKJDl
 BKdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=2gXkDwlZwAZKGZXUDW4d8XSqthbhC6GJNYwaBlkaArk=;
 b=MwY7Vc8YQ33LJrQh9J2fiqs9EiKsAflOEUIi7BqqHIQxHgWSe8NxoTLSmRBIGI8fLH
 76GBcqrABwU6+pCz2roflCP8tv1jkP3FKiPBLpyVXfaGHWxr1DF1cQ4M5rukwzK2S6TG
 S45Tlnmk/Vr0iEDoytALF+o55BQf3LAM+VDHu1RxPqx2RNNW7Qm6hwCUm0SdFMIoD//K
 pDeEp1YpWpELyAGTSLmYV7i+IunpijZrtgFI5LcezGs7CCSVDlfIUrj0AQCvc+HIZo/A
 z9PJKTzJDOBWchK7iixfgpd3vxrP+/900mKCYHFUH9X8H8JNPkeJAi9pECC5n1MuL26P
 Sxyg==
X-Gm-Message-State: AA+aEWZeJbvlLrJ49wvLOqLvFCQnhyt1/yNMHNSRbnD2qRlN1jrU8xZx
 ScAeJ9eEirNSLdmhf28hhj/oD2QKezVkYhq6xjWC
X-Google-Smtp-Source: AFSGD/VJgoJN3WItPbBo3q7YHNckhjk19HB4raRDIFLvgfnN8bq5t7C3yg8SGT4o+nqNhu0CjWbqJ7qYHono+Ku536w=
X-Received: by 2002:a6b:acc5:: with SMTP id
 v188-v6mr11938787ioe.66.1542968914598; 
 Fri, 23 Nov 2018 02:28:34 -0800 (PST)
MIME-Version: 1.0
References: <877eh4pu86.fsf@nckx> <8736rspap4.fsf@nckx>
In-Reply-To: <8736rspap4.fsf@nckx>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Fri, 23 Nov 2018 11:28:22 +0100
Message-ID: <CAE4v=pg+xS5jT8SgYU4_0URkb2_E6Fjmx9kqbkk4ae9X=sbV_A@HIDDEN>
Subject: Re: bug#33470: Confusing spinner artefacts
To: somebody@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33470
Cc: 33470 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Tobias,

Tobias Geerinckx-Rice <somebody@HIDDEN> ezt
=C3=ADrta (id=C5=91pont: 2018. nov. 23., P, 7:43):
>
> Heh,
>
> Tobias Geerinckx-Rice wrote:
> >  -119 packages in profile
> >  ^^^^
> >
> > I'm sure I have more packages installed than that.
>
> Not much later, it clicked:
>
>   =CE=BB ~/guix/pre-inst-env guix ...
>   building /gnu/store/eee...-profile.drv...
>   |119 packages in profile
>   =CE=BB
>
> I'd just got lucky spinning the Wheel of Guix.
>
> So this bug isn't as interesting as I thought, but it's ugly and a
> little annoying.
>
> Kind regards,
>
> T G-R
>
>
>

I feel that simply inserting some whitespace between the spinner and
the text would make this less problematic.
WDYT?

Do you have any better suggestion?

Best regards,
g_bor




Information forwarded to bug-guix@HIDDEN:
bug#33470; Package guix. Full text available.

Message received at 33470 <at> debbugs.gnu.org:


Received: (at 33470) by debbugs.gnu.org; 23 Nov 2018 06:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 01:42:48 2018
Received: from localhost ([127.0.0.1]:42922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gQ5Au-00077e-IU
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2018 01:42:48 -0500
Received: from tobias.gr ([80.241.217.52]:58714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <somebody@HIDDEN>)
 id 1gQ4zC-0005RO-5o
 for 33470 <at> debbugs.gnu.org; Fri, 23 Nov 2018 01:30:42 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 8481dda7
 for <33470 <at> debbugs.gnu.org>; Fri, 23 Nov 2018 06:30:40 +0000 (UTC)
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id f84e147f
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO)
 for <33470 <at> debbugs.gnu.org>; Fri, 23 Nov 2018 06:30:38 +0000 (UTC)
From: Tobias Geerinckx-Rice <somebody@HIDDEN>
To: 33470 <at> debbugs.gnu.org
Subject: Re: bug#33470: Confusing spinner artefacts
References: <877eh4pu86.fsf@nckx>
In-reply-to: <877eh4pu86.fsf@nckx>
Date: Fri, 23 Nov 2018 07:30:47 +0100
Message-ID: <8736rspap4.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33470
X-Mailman-Approved-At: Fri, 23 Nov 2018 01:42:47 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Heh,

Tobias Geerinckx-Rice wrote:
>  -119 packages in profile
>  ^^^^
>
> I'm sure I have more packages installed than that.

Not much later, it clicked:

  =CE=BB ~/guix/pre-inst-env guix ...
  building /gnu/store/eee...-profile.drv...
  |119 packages in profile
  =CE=BB

I'd just got lucky spinning the Wheel of Guix.

So this bug isn't as interesting as I thought, but it's ugly and a=20
little annoying.

Kind regards,

T G-R




Information forwarded to bug-guix@HIDDEN:
bug#33470; Package guix. Full text available.
Changed bug title to 'Confusing spinner artefacts' from '(Significantly) negative number of packages in profile' Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2018 02:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 21:59:49 2018
Received: from localhost ([127.0.0.1]:42883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gQ1h5-0007T0-LT
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 21:59:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyW8-0007oh-Bs
 for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 18:36:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyW1-0007Ly-LX
 for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 18:36:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35379)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyW1-0007LH-IP
 for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 18:36:09 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58611)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyVy-0002WR-FL
 for bug-guix@HIDDEN; Thu, 22 Nov 2018 18:36:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyVw-00076W-Be
 for bug-guix@HIDDEN; Thu, 22 Nov 2018 18:36:06 -0500
Received: from tobias.gr ([2001:470:7405::1]:34064)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <somebody@HIDDEN>)
 id 1gPyVw-00070x-13
 for bug-guix@HIDDEN; Thu, 22 Nov 2018 18:36:04 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 856a5d6b
 for <bug-guix@HIDDEN>; Thu, 22 Nov 2018 23:29:21 +0000 (UTC)
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id b67384a0
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Thu, 22 Nov 2018 23:29:19 +0000 (UTC)
From: Tobias Geerinckx-Rice <somebody@HIDDEN>
To: Bug Guix <bug-guix@HIDDEN>
Subject: (Significantly) negative number of packages in profile
Date: Fri, 23 Nov 2018 00:28:57 +0100
Message-ID: <877eh4pu86.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 22 Nov 2018 21:59:46 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Guix,

  =CE=BB ~/guix/pre-inst-env guix package -i w3m --fallback
  The following package will be installed:
     w3m	0.5.3+git20180125 \
     /gnu/store/142jvbxhbi1i93g07p01czawbgx0cf1r-w3m-0.5.3+git20180125

  The following derivations will be built:
     /gnu/store/pr0bmfzzf4cs6zrmdk4h51kp9d79f4hh-profile.drv
     /gnu/store/x3cjs296jg3gvdf9qz1ql4fwxrwdwi25-xdg-mime-database.drv
  building=20
  /gnu/store/x3cjs296jg3gvdf9qz1ql4fwxrwdwi25-xdg-mime-database.drv...
  building=20
  /gnu/store/pr0bmfzzf4cs6zrmdk4h51kp9d79f4hh-profile.drv...
  -119 packages in profile
  ^^^^

I'm sure I have more packages installed than that.

  =CE=BB ~/guix/pre-inst-env guix describe
  Git checkout:
    repository: /home/nckx/guix
    branch: master
    commit: eff8e0b4d9d4b818150f64e151227e03fdcb5aab

Kind regards,

T G-R

---------- dump ----------

=CE=BB ~/guix/pre-inst-env guix package -l=20=20=20=20
Generation 100	Oct 23 2018 14:27:29
  swaks	20170101.0	out=20
  /gnu/store/2k4wv49p735a31cx9qvlzgsk4lni1nqb-swaks-20170101.0
  whois	5.3.0	out=20
  /gnu/store/4jfjqhy9hw89qiqj5083v15naqzqfqva-whois-5.3.0
  scsh	0.0.0-1.1144324	out=20
  /gnu/store/b2msqfgngkir6a941710hc4d8vzjq7v7-scsh-0.0.0-1.1144324
  zathura-ps	0.2.6	out=20
  /gnu/store/6pfgxrvlrhxb1pss27d9z6xr9xfa6ghw-zathura-ps-0.2.6
  zathura-cb	0.1.8	out=20
  /gnu/store/8j19d0a9rsq3wcb6kkw9h4zxdkjm6hvs-zathura-cb-0.1.8
  zathura-pdf-mupdf	0.3.3	out=20
  /gnu/store/ddkmjqv6cwsgld40fja61vq2w6fasypw-zathura-pdf-mupdf-0.3.3
  zathura-pdf-poppler	0.2.9	out=20
  /gnu/store/iy4js2lisaw07cs71x598hrlb3myw0cw-zathura-pdf-poppler-0.2.9
  isync	1.3.0	out=20
  /gnu/store/a9x440fkc6gwrpvybjxcf7s6z0nyrwir-isync-1.3.0
  msmtp	1.6.6	out=20
  /gnu/store/f0vyrzx0w158ryvx1yjay666sabi8k0v-msmtp-1.6.6
  qemu	2.11.1	out=20
  /gnu/store/ipbcgcpbdg2255q70ryzsd7xd395phdv-qemu-2.11.1
  ffmpeg	3.4.2	out=20
  /gnu/store/y74367k1v6j06kmw2wj0pihvj57a2k8m-ffmpeg-3.4.2
  file	5.32	out=20
  /gnu/store/3cgvz2nsnnw3g4qr8aff6wbzfjing78r-file-5.32
  tig	2.3.3	out=20
  /gnu/store/bw245nqfb9h8ckfyxwj7c5rja863xsgs-tig-2.3.3
  htop	2.1.0	out=20
  /gnu/store/qzmp5xx0791azah0045fnrs90qsb8hh7-htop-2.1.0
  lsof	4.89	out=20
  /gnu/store/ximgskyhyqab1bff2s184dmsr940pnm9-lsof-4.89
  calibre	3.17.0	out=20
  /gnu/store/3cakwl6xrgx044srdyi11rxv55lsq6g6-calibre-3.17.0
  subversion	1.8.19	out=20
  /gnu/store/76lrqklypvfbxhaszahashaaprrxd468-subversion-1.8.19
  python	3.6.3	out=20
  /gnu/store/6zwqlrzz12sjnp06nh807kmy5q3zymwl-python-3.6.3
  unzip	6.0	out=20
  /gnu/store/isp3x3aaviiivbh7vlvifh62dj3dqkzb-unzip-6.0
  groff-minimal	1.22.3	out=20
  /gnu/store/h08h7gqfhddrfz3xcrvfzcy6bxfw2bk0-groff-minimal-1.22.3
  gnome-screenshot	3.22.0	out=20
  /gnu/store/swxiln1xxwilz7gx8h3b4qb33sn5ngvi-gnome-screenshot-3.22.0
  mpv	0.28.2	out=20
  /gnu/store/knvbjjji40w6zr6b3qj4zi197pmmhnxy-mpv-0.28.2
  xrandr	1.5.0	out=20
  /gnu/store/zpwjgwplf55qj1r265mlcrr6ql7ykpp6-xrandr-1.5.0
  rtorrent	0.9.6	out=20
  /gnu/store/7id38fn691x9gaqy90gjknca1szl1xvr-rtorrent-0.9.6
  xinput	1.6.2	out=20
  /gnu/store/chgp6za601rn2wb6hvbs8cfp7s0ckppf-xinput-1.6.2
  iptables	1.6.2	out=20
  /gnu/store/41rikmdib0m3cp6r5jr4f0zjyndzvzxi-iptables-1.6.2
  diffoscope	90	out=20
  /gnu/store/6ml5q2cbp58rsixb1bk2iv2c171w9wwk-diffoscope-90
  dosfstools	4.1	out=20
  /gnu/store/0sq2nflm42x0znkv44add0gk82khkcb6-dosfstools-4.1
  curl	7.59.0	out=20
  /gnu/store/apag6f24mhl9n4m5hqqkm0ami55qwl33-curl-7.59.0
  gnupg	2.2.5	out=20
  /gnu/store/786hivv148yyqy0fj916fm7dak413p17-gnupg-2.2.5
  pinentry-tty	1.1.0	out=20
  /gnu/store/m658iqv98lawvdv0zlpflr6xb33f5wjn-pinentry-tty-1.1.0
  man-pages	4.15	out=20
  /gnu/store/zycx8pgdxq9yl7ck8x20inz85r8q24qm-man-pages-4.15
  openssl	1.1.0h	out=20
  /gnu/store/3yv5ff4rjkk60fxrflkp2rmxq51bfwv8-openssl-1.1.0h
  guile-readline	2.2.3	out=20
  /gnu/store/5gsdfszh82w4cxg4rsb4xg7mzmcg92f4-guile-readline-2.2.3
  vinagre	3.22.0	out=20
  /gnu/store/c4w61zcjvp6y40jimlr7w5sq278j1zjc-vinagre-3.22.0
  netcat	0.7.1	out=20
  /gnu/store/dal34nyrjixsf8rgb94v4qival2d2v7q-netcat-0.7.1
  weechat	2.1	out=20
  /gnu/store/9ilksi6ah4c3lfwlbgbw86g042zjb6jk-weechat-2.1
  patchelf	0.8	out=20
  /gnu/store/sfjlb5hz37747zzlxpgbq4qs8by2zi1q-patchelf-0.8
  bind	9.12.1	utils=20
  /gnu/store/bvzaa5h7rr6p4cnd9n0q8l7yb96d0pmw-bind-9.12.1-utils
  gucharmap	3.18.0	out=20
  /gnu/store/bssfydz90hmp7q7k94n3bj9qkaxs7jns-gucharmap-3.18.0
  xterm	333	out=20
  /gnu/store/c7yw6sldf7x6kpi46yzhnh1iish8xjqg-xterm-333
  rofi	1.5.1	out=20
  /gnu/store/14kklyizabkgskk38il00wgc332k7zg7-rofi-1.5.1
  pavucontrol	3.0	out=20
  /gnu/store/sf6ssa0pyl9x2ln0l4rl90jqxarsjj6y-pavucontrol-3.0
  sshfs-fuse	2.10	out=20
  /gnu/store/3wk9k3c02wwj2g0yxz3hz3q953az4anc-sshfs-fuse-2.10
  xdg-utils	1.1.2	out=20
  /gnu/store/qjlfrhbk3cvilwpbfiddfvijv4zizmg6-xdg-utils-1.1.2
  cool-retro-term	1.0.1-1.dd799cf	out=20
  /gnu/store/yg0ashnnj7xw4qbyqavl0qpmilrdr6r0-cool-retro-term-1.0.1-1.dd799=
cf
  termite	13	out=20
  /gnu/store/p1057wlkfkk6860vajwv1fhxz8cfm40g-termite-13
  nload	0.7.4	out=20
  /gnu/store/i8gwm64d6wrxlmmw40msp5z47lbp3mxw-nload-0.7.4
  surfraw	2.2.9	out=20
  /gnu/store/kn4syx1ypqg3qy82449wls6jj27f0szc-surfraw-2.2.9
  texlive	2017	out=20
  /gnu/store/nmgmg2x56jj7v6xh1c3hwvnfhz8n6fv8-texlive-2017
  pulseaudio	11.1	out=20
  /gnu/store/k4fz7nijl7vhjwwn7h8x0s03jnnpnjh6-pulseaudio-11.1
  mrrescue	1.02e	out=20
  /gnu/store/v3cb5ncdykwapfg6kfb8bv4zqd9n22dp-mrrescue-1.02e
  aircrack-ng	1.2-rc4	out=20
  /gnu/store/cf9f64nx1wmxdg087mzddani5j60nh04-aircrack-ng-1.2-rc4
  st	0.8.1	out=20
  /gnu/store/nqq17vskm242gxxq6ygfdwz1w0rgnqa0-st-0.8.1
  mupdf	1.13.0	out=20
  /gnu/store/z8lvrigd48ha0hq8vgzc85s8lps5gjhc-mupdf-1.13.0
  cpufrequtils	0.3	out=20
  /gnu/store/dc0cyls6h3fmzfan7klwvscs5rn0qhqv-cpufrequtils-0.3
  git	2.18.0	out=20
  /gnu/store/w9qwlwpfmhkyj6rqk3rvkk1a89vmymqf-git-2.18.0
  git	2.18.0	send-email=20
  /gnu/store/pvj35w3xlfvxdw3gljxxba2xjm2v7958-git-2.18.0-send-email
  borg	1.1.6	out=20
  /gnu/store/zwd5cmy10nwhrdv7lwggxpai1b6lqyqm-borg-1.1.6
  mame	0.200	out=20
  /gnu/store/03qc0fwx27rb0zmzf34l9xwgmpd4i570-mame-0.200
  entr	3.6	out=20
  /gnu/store/vpq5cmpzj6k85vsgs3yp9w4vi0dz14vj-entr-3.6
  nmap	7.70	out=20
  /gnu/store/8wm2wclxdn57kw074rkkmq2x9ycjw5jf-nmap-7.70
  font-tamzen	1.11.4	out=20
  /gnu/store/s0r4gl3mskw20zpgk0k3x48yzhcnyba7-font-tamzen-1.11.4
  font-google-noto	20170403	out=20
  /gnu/store/v3wzvibzxmhfdb03m55w7cbh4w9wqq4d-font-google-noto-20170403
  emacs-mu4e-conversation	20180722-2.223cc66	out=20
  /gnu/store/j5sp2wxyqkf87i2020fs65lhbkjypwly-emacs-mu4e-conversation-20180=
722-2.223cc66
  nano	2.9.8	out=20
  /gnu/store/89g2i8xliv4xr5xydkldl24gv99ayrqq-nano-2.9.8
  sakura	3.6.0	out=20
  /gnu/store/zf5n3r06dy1mhi3nyk89c3vw8dszv1d8-sakura-3.6.0
  redshift	1.12	out=20
  /gnu/store/ipkn1mbfp69b1mxa2b27ak7fslwnqhy7-redshift-1.12
  xclip	0.13	out=20
  /gnu/store/1gia6yrf70wx9nhi7f6ldzh5xq71jhpg-xclip-0.13
  guile-gcrypt	0.1.0	out=20
  /gnu/store/qbzw2ygy1nq2h0nq6sl9cgg1c5mq5g8z-guile-gcrypt-0.1.0
  youtube-dl	2018.09.08	out=20
  /gnu/store/k7w8gkdghzs4xzz80iwm376hqjfsgbfz-youtube-dl-2018.09.08
  inkscape	0.92.3	out=20
  /gnu/store/drq0v1w1h96v4zqh53wjalkn1fzgyzhf-inkscape-0.92.3
  font-awesome	4.7.0	out=20
  /gnu/store/a4cm5m2dbcmfgly3azq97vwvqmg26382-font-awesome-4.7.0
  font-inconsolata	0.80	out=20
  /gnu/store/01bcbixm2152fz2v6246rlpxvkp56iz9-font-inconsolata-0.80
  font-ubuntu	0.83	out=20
  /gnu/store/h3wxrw76q31j2h84dkp1i9cdsnf8sbsj-font-ubuntu-0.83
  font-dejavu	2.37	out=20
  /gnu/store/9915gq2d5g7p320bsh1w063zydakr5jn-font-dejavu-2.37
  font-bitstream-vera	1.10	out=20
  /gnu/store/cfm09sjwqb21lfskam3i0m3lajyym9j9-font-bitstream-vera-1.10
  font-lato	2.010	out=20
  /gnu/store/5dr02g4gs51gqsnfyfcjk21cl9wmsq2y-font-lato-2.010
  font-gnu-freefont-ttf	20120503	out=20
  /gnu/store/frpf3q56jxixhyimj2zjn14723xfcn20-font-gnu-freefont-ttf-20120503
  font-liberation	2.00.1	out=20
  /gnu/store/pggkzsi8a19lj4hv968qclf0785g0pgx-font-liberation-2.00.1
  font-linuxlibertine	5.3.0	out=20
  /gnu/store/k0krbnmzjh34rjpr3nf4j5dppr9xabxg-font-linuxlibertine-5.3.0
  font-terminus	4.40	out=20
  /gnu/store/1annn8mhg79cvk996zg2jc4fw6gj29vy-font-terminus-4.40
  font-tex-gyre	2.005	out=20
  /gnu/store/ypf0ljwkb7gvv5br5r5brr31ik1c0c59-font-tex-gyre-2.005
  font-anonymous-pro	1.002	out=20
  /gnu/store/rnsbd0y52px08s387jf36q91sdbg1myw-font-anonymous-pro-1.002
  font-fantasque-sans	1.7.2	out=20
  /gnu/store/y092nrcg5xc4y4nbsv8hfqd8h5zck4nl-font-fantasque-sans-1.7.2
  font-hack	3.002	out=20
  /gnu/store/qsz98jfp5z1zjwzv0a81x77prkqk72n6-font-hack-3.002
  font-adobe-source-code-pro	2.030R-ro-1.050R-it	out=20
  /gnu/store/yir27vnb3r7sbsxz9kkcva609m8mx0z4-font-adobe-source-code-pro-2.=
030R-ro-1.050R-it
  font-fira-mono	3.206	out=20
  /gnu/store/kjx6f5iq60hyn1kck2ifps6ahkni77r6-font-fira-mono-3.206
  font-fira-sans	4.202	out=20
  /gnu/store/3p1ayi28bqf7qclylpb9bb974ir3bikr-font-fira-sans-4.202
  font-fira-code	1.205	out=20
  /gnu/store/hq1mqq77r9hxj4q8lnca6z0jij1nllmr-font-fira-code-1.205
  font-iosevka	1.12.5	out=20
  /gnu/store/yf58x3kdyhvjya3dddk1k9malk312srs-font-iosevka-1.12.5
  font-go	20170330-1.f03a046	out=20
  /gnu/store/vkmmab58s8jbjz1c051wdnpw013cs89z-font-go-20170330-1.f03a046
  font-dosis	1.7	out=20
  /gnu/store/z7fn8ffa9gl6i7jr3c1vsxf81kcxna4y-font-dosis-1.7
  font-alias	1.0.3	out=20
  /gnu/store/gml2b7v00vd7bad86slagrfdbrc0g02r-font-alias-1.0.3
  adwaita-icon-theme	3.26.1	out=20
  /gnu/store/8cw4g99r25qf8w9mgxgl0xk4s76q2914-adwaita-icon-theme-3.26.1
  simple-scan	3.24.1	out=20
  /gnu/store/75a8y5d1phx2vcjgdpsh34rwj9853kg6-simple-scan-3.24.1
  rename	1.00	out=20
  /gnu/store/p7b0pjf5ir5afdzh3pvxpbw1i9cy2zf6-rename-1.00
  sshuttle	0.78.4	out=20
  /gnu/store/xjivz9qflswgp9bc9nak3q1rabhkahdw-sshuttle-0.78.4
  icecat	60.2.0-gnu1	out=20
  /gnu/store/nzznfmrphjpwqcrxmpimln892p74gf6y-icecat-60.2.0-gnu1
  radeontop	1.1	out=20
  /gnu/store/cvws710rrskbxsxsdz98182adyd1z20m-radeontop-1.1
  bastet	0.43.2	out=20
  /gnu/store/k8jafidh0nz0my1p8k56gcgv09cyl7vi-bastet-0.43.2
  freedroidrpg	0.16.1	out=20
  /gnu/store/mmvpas82yc0m8sc61da3zb7dvxs8zm0k-freedroidrpg-0.16.1
  sqlcrush	0.1.5-1.b5f6868	out=20
  /gnu/store/f6r2w71cxr6mp7n1hxcvkvhij5mzl5ws-sqlcrush-0.1.5-1.b5f6868
  gcc-toolchain	8.2.0	out=20
  /gnu/store/7arj5zd8z78v67jk4bvhi17bm4xppjma-gcc-toolchain-8.2.0
  smartmontools	6.6	out=20
  /gnu/store/rhyibi61b2mi3rqx3yjmvbig370l4xcd-smartmontools-6.6
  wget	1.19.5	out=20
  /gnu/store/r2lzy5abk6lfwq83518vfikyra4570l4-wget-1.19.5
  hangups	0.4.6	out=20
  /gnu/store/d0skl2qzpac35hw6pvzih7hb22pzlynb-hangups-0.4.6

Generation 101	Oct 24 2018 01:52:32
 + wavemon	0.8.2	out=20
 /gnu/store/bb4m4mvwqx6gvman7ly5icpmczb707cf-wavemon-0.8.2

Generation 102	Oct 24 2018 03:08:40
 + powertop	2.9	out=20
 /gnu/store/zdvakmbpahdaz8pfw6mfn73b9d4f711w-powertop-2.9

Generation 103	Oct 24 2018 04:11:57
 + cool-retro-term	1.0.1-1.dd799cf	out=20
 /gnu/store/y5xygarvdzh5s4vsh00d7k5xjvhdvpdi-cool-retro-term-1.0.1-1.dd799cf
 - cool-retro-term	1.0.1-1.dd799cf	out=20
 /gnu/store/yg0ashnnj7xw4qbyqavl0qpmilrdr6r0-cool-retro-term-1.0.1-1.dd799cf

Generation 104	Oct 24 2018 05:08:13
 + icecat	60.2.0-gnu1	out=20
 /gnu/store/qaw98ynqs5b4xvmzk9qgqg9n8384ss9i-icecat-60.2.0-gnu1
 - icecat	60.2.0-gnu1	out=20
 /gnu/store/nzznfmrphjpwqcrxmpimln892p74gf6y-icecat-60.2.0-gnu1

Generation 105	Oct 25 2018 03:41:38
 + lz4	1.8.1.2	out=20
 /gnu/store/sc5szp6bii3alww8dlyr7g4v84jz5i6i-lz4-1.8.1.2

Generation 106	Oct 25 2018 17:55:22
 + recutils	1.7	out=20
 /gnu/store/hsdjmvcg3gwgs8gfww8c4d3xwfxkdsw1-recutils-1.7

Generation 107	Oct 26 2018 00:47:22
 + emacs-guix	0.5	out=20
 /gnu/store/9lgy8b3wwp183h7lzcvmqmhvrkli6yfw-emacs-guix-0.5

Generation 108	Oct 26 2018 18:02:31
 + shellcheck	0.5.0	out=20
 /gnu/store/1daixfbhmv4p9n63kwbznj16d7mrwn6q-shellcheck-0.5.0

Generation 109	Oct 31 2018 23:45:34
 + iperf	3.1.7	out=20
 /gnu/store/4qkgariddrhy4s62rq546kzz6x3s08wv-iperf-3.1.7

Generation 110	Nov 11 2018 01:45:22
 + encfs	1.9.5	out=20
 /gnu/store/dbdcnja43iyfmfz5hgvq5n824x3x72kp-encfs-1.9.5

Generation 111	Nov 14 2018 20:12:00
 + ntfs-3g	2017.3.23	out=20
 /gnu/store/ybim7azfyjf2afwz194y2hfx5a3j4mb5-ntfs-3g-2017.3.23

Generation 112	Nov 15 2018 05:50:21
 + icecat	60.3.0-gnu1	out=20
 /gnu/store/x3nd9rnvccwfjl09ic0hs0rpzrbi6i0c-icecat-60.3.0-gnu1
 - icecat	60.2.0-gnu1	out=20
 /gnu/store/qaw98ynqs5b4xvmzk9qgqg9n8384ss9i-icecat-60.2.0-gnu1

Generation 113	Nov 16 2018 22:48:03
 + oath-toolkit	2.6.2	out=20
 /gnu/store/lmdy7vgrjxk06gmc4im43yl295cz8jr2-oath-toolkit-2.6.2

Generation 114	Nov 19 2018 23:15:23
 + dmidecode	3.2	out=20
 /gnu/store/2rgdx676sczbwfml95sj2lkkx0ln6vrm-dmidecode-3.2

Generation 115	Nov 21 2018 14:48:54
 + youtube-dl	2018.11.07	out=20
 /gnu/store/n99k6vw2d5al5g1a9gqg314pcnpvq00a-youtube-dl-2018.11.07
 - youtube-dl	2018.09.08	out=20
 /gnu/store/k7w8gkdghzs4xzz80iwm376hqjfsgbfz-youtube-dl-2018.09.08

Generation 116	Nov 22 2018 22:34:53
 - mame	0.200	out=20
 /gnu/store/03qc0fwx27rb0zmzf34l9xwgmpd4i570-mame-0.200

Generation 117	Nov 22 2018 23:59:52	(current)
 + w3m	0.5.3+git20180125	out=20
 /gnu/store/142jvbxhbi1i93g07p01czawbgx0cf1r-w3m-0.5.3+git20180125




Acknowledgement sent to Tobias Geerinckx-Rice <somebody@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33470; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Feb 2019 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.